=== debian/control ===
Source: linux-firmware-mediatek-genio
Section: misc
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends: debhelper-compat (= 12)
Standards-Version: 4.5.0
Homepage: https://git.kernel.org/pub/scm/linux/kernel/git/firmware/linux-firmware.git
XS-Autobuild: yes

Package: linux-firmware-mediatek-genio
Architecture: arm64
Depends: ${misc:Depends}
Provides: linux-firmware-mediatek-aiot
Breaks: linux-firmware-mediatek-aiot
Replaces: linux-firmware-mediatek-aiot
Description: Firmware for Mediatek Genio boards
 This package contains all firmware required for Mediatek Genio boards
