## linux-firmware-mediatek-genio 3

=== debian/changelog ===
linux-firmware-mediatek-genio (3-0ubuntu1~23.04.1) lunar; urgency=medium

  * Backport to lunar (LP: #2027568)

 -- Ethan Hsieh <ethan.hsieh@canonical.com>  Wed, 12 Jul 2023 18:05:10 +0800

linux-firmware-mediatek-genio (3-0ubuntu1) mantic; urgency=medium

  * Rename the package to linux-firmware-mediatek-genio as per MediaTek's
    request (LP: #2027568)
  * d/source/lintian-overrides: fix a lintian error

  MediaTek renamed the product name to genio. Here is the link:
  https://www.mediatek.com/products/internet-of-things/genio-iot

 -- Ethan Hsieh <ethan.hsieh@canonical.com>  Wed, 05 Jul 2023 15:43:49 +0800

linux-firmware-mediatek-aiot (2-0ubuntu1) kinetic; urgency=medium

  * Add firmware: mediatek/mt8195/scp.img v14454.8.0
  * Upgrade firmware as per Mediatek's request:
    - mediatek/mt8183/scp.img v2.0.2745
    - mediatek/BT_RAM_CODE_MT7961_1_2_hdr.bin 20220311231139
    - mediatek/WIFI_MT7961_patch_mcu_1_2_hdr.bin 20220311230842a
    - mediatek/WIFI_RAM_CODE_MT7961_1.bin 20220311230931

 -- Ethan Hsieh <ethan.hsieh@canonical.com>  Mon, 13 Jun 2022 17:50:18 +0800

linux-firmware-mediatek-aiot (1-0ubuntu1) jammy; urgency=medium

  * Initial commit
  * Add firmware
    - mediatek/mt7668pr2h.bin 20180517181834
    - mediatek/mt8183/scp.img
    - mediatek/mt7663_n9_rebb.bin 7663mp1827-20190914043434
    - mediatek/mt7663_n9_v3.bin v3.1.1
    - mediatek/mt7663pr2h.bin 7663e2ccn04-2006030247
    - mediatek/mt7663pr2h_rebb.bin 7663e2-1802-19091404338b809
    - mediatek/BT_RAM_CODE_MT7961_1_2_hdr.bin 20220110231230
    - mediatek/WIFI_MT7961_patch_mcu_1_2_hdr.bin 20220209150832a
    - mediatek/WIFI_RAM_CODE_MT7961_1.bin 20220209150915

 -- Ethan Hsieh <ethan.hsieh@canonical.com>  Mon, 21 Feb 2022 15:48:10 +0800
