## linux-firmware-mediatek-genio 4

=== debian/changelog ===
linux-firmware-mediatek-genio (4-0ubuntu1) mantic; urgency=medium

  * Update scp.img as per MediaTek's request (LP: #2033870)
    - change the source of scp.img to MediaTek's public git repo
    - add mediatek/mt8188/scp.img
    - update mediatek/mt8195/scp.img
  * d/source/lintian-overrides: fix lintian errors

 -- Ethan Hsieh <ethan.hsieh@canonical.com>  Fri, 04 Aug 2023 14:28:35 +0800
