## linux-firmware-mediatek-genio 4.1

=== debian/changelog ===
linux-firmware-mediatek-genio (4.1-0ubuntu1~22.04) jammy; urgency=medium

  * Backport to jammy (LP: #2051921)
    - Update WiFi MT7961 firmware to fix the latency issue

 -- Ethan Hsieh <ethan.hsieh@canonical.com>  Fri, 02 Feb 2024 10:04:36 +0800

linux-firmware-mediatek-genio (4.1-0ubuntu1) mantic; urgency=medium

  * Update WiFi MT7961 firmware to fix the latency issue (LP: #2051921)

 -- Ethan Hsieh <ethan.hsieh@canonical.com>  Fri, 02 Feb 2024 09:55:25 +0800
