=== debian/rules ===
--- 
+++ 
@@ -23,8 +23,8 @@
 	# Don't strip anything; it's all pre-built binary blobs and some of
 	# it is foreign architecture anyway
 
-LINUXFIRMWARECOMMIT:= bdc8ff9f974d541c296212f208ac23bdbdd076d1
-LINUXFIRMWAREFILES := \
+LINUXFIRMWARECOMMIT_1:= bdc8ff9f974d541c296212f208ac23bdbdd076d1
+LINUXFIRMWAREFILES_1 := \
 	mediatek/mt7668pr2h.bin \
 	mediatek/mt8183/scp.img \
 	mediatek/mt7663_n9_rebb.bin \
@@ -32,6 +32,9 @@
 	mediatek/mt7663pr2h.bin \
 	mediatek/mt7663pr2h_rebb.bin \
 	mediatek/BT_RAM_CODE_MT7961_1_2_hdr.bin \
+
+LINUXFIRMWARECOMMIT_2:= 0a18a7292a66532633d9586521f0b954c68a9fbc
+LINUXFIRMWAREFILES_2 := \
 	mediatek/WIFI_MT7961_patch_mcu_1_2_hdr.bin \
 	mediatek/WIFI_RAM_CODE_MT7961_1.bin
 
@@ -47,8 +50,10 @@
 get-orig-source:
 	rm -rf linux-firmware
 
-	set -x; $(foreach file,$(LINUXFIRMWAREFILES),$(call get-orig-file,linux-firmware,$(file),\
-		https://git.kernel.org/pub/scm/linux/kernel/git/firmware/linux-firmware.git/plain,$(LINUXFIRMWARECOMMIT)))
+	set -x; $(foreach file,$(LINUXFIRMWAREFILES_1),$(call get-orig-file,linux-firmware,$(file),\
+		https://git.kernel.org/pub/scm/linux/kernel/git/firmware/linux-firmware.git/plain,$(LINUXFIRMWARECOMMIT_1)))
+	set -x; $(foreach file,$(LINUXFIRMWAREFILES_2),$(call get-orig-file,linux-firmware,$(file),\
+		https://git.kernel.org/pub/scm/linux/kernel/git/firmware/linux-firmware.git/plain,$(LINUXFIRMWARECOMMIT_2)))
 	set -x; $(foreach file,$(MEDIATEKFIRMWAREFILES),$(call get-orig-file-mediatek,linux-firmware/mediatek,$(file),\
 		https://gitlab.com/mediatek/aiot/rity/meta-mediatek-bsp/-/raw/$(MEDIATEKFIRMWARETAG)/recipes-kernel/linux-firmware/files))
