## linux-firmware-mediatek-genio 4.3

=== debian/changelog ===
linux-firmware-mediatek-genio (4.3-0ubuntu1~0oem1) jammy; urgency=medium

  * Bump to rity 24.1 (LP: #2112375)
  * Add apusys firmware

 -- Zhaoxuan Zhai <zhai.zhaoxuan@canonical.com>  Wed, 04 Jun 2025 09:54:46 +0800
