## linux-firmware-mediatek-genio 4.3.1

=== debian/changelog ===
linux-firmware-mediatek-genio (4.3.1-0ubuntu1~0oem1) jammy; urgency=medium

  * Bump to rity 24.1 (LP: #2112375)
  * Add apusys firmware
  * Add valhall-1691526.wa for libmali

 -- Zhaoxuan Zhai <zhai.zhaoxuan@canonical.com>  Wed, 24 Jul 2025 14:58:55 +0800
