=== debian/rules ===
--- 
+++ 
@@ -54,13 +54,17 @@
 MEDIATEK_APUSYS_COMMIT_mt8188 := 3e31bb965867736dc19cfa8438f35e9e40ad6e60
 MEDIATEK_APUSYS_COMMIT_mt8195 := 2502c4bf3eabec12ef1d4a8098f419b2f1a2f6e0
 MEDIATEK_APUSYS_FIRMWARE_FILES := apusys.sig.img cam_vpu1.img cam_vpu2.img cam_vpu3.img
-MEDIATEK_APUSYS_URL = https://gitlab.com/mediatek/aiot/bsp/mtk-apusys-firmware/-/raw/$(MEDIATEK_APUSYS_COMMIT_$(1))/$(2)?inline=false
+MEDIATEK_APUSYS_URL = https://gitlab.com/mediatek/aiot/bsp/mtk-apusys-firmware
+
+MEDIATEK_MALI_COMMIT := 46c07702f90ee22bfbe640b89b1fab060b86eb02
+MEDIATEK_MALI_FILES := valhall-1691526.wa
+MEDIATEK_MALI_REPO_DIR := /mt8188/r48p0/firmware
+MEDIATEK_MALI_URL = https://gitlab.com/mediatek/aiot/rity/libmali
 
 # get-orig-file,output-dir,source-file,repo-url,commit-id
 get-orig-file = mkdir -p $(1)/$(dir $(2)) ; wget -O $(1)/$(2) -- $(3)/$(2)?id=$(4);
-get-orig-file-mediatek = mkdir -p $(1)/$(dir $(2)) ; wget -O $(1)/$(2) -- $(3)/$(2)?ref_type=tags;
-get-orig-source-apusys = mkdir -p mediatek/$(1) ; \
-	wget -O mediatek/$(1)/$(2) -- $(call MEDIATEK_APUSYS_URL,$(MEDIATEK_APUSYS_MODEL_$(1)),$(2));
+# get-orig-file-gitlab,output-dir,filename,repo-url,git-ref,repo-dir
+get-orig-file-gitlab = mkdir -p $(1)/$(dir $(2)) ; wget -O $(1)/$(2) -- $(3)/-/raw/$(4)$(5)/$(2);
 
 reproducible-tar = LC_ALL=C tar --sort=name --format=posix \
   --pax-option=exthdr.name=%d/PaxHeaders/%f \
@@ -76,13 +80,15 @@
 		https://git.kernel.org/pub/scm/linux/kernel/git/firmware/linux-firmware.git/plain,$(LINUXFIRMWARECOMMIT_1)))
 	set -x; $(foreach file,$(LINUXFIRMWAREFILES_2),$(call get-orig-file,linux-firmware,$(file),\
 		https://git.kernel.org/pub/scm/linux/kernel/git/firmware/linux-firmware.git/plain,$(LINUXFIRMWARECOMMIT_2)))
-	set -x; $(foreach file,$(MEDIATEKFIRMWAREFILES),$(call get-orig-file-mediatek,mediatek,$(file),\
-		https://gitlab.com/mediatek/aiot/rity/meta-mediatek-bsp/-/raw/$(MEDIATEKFIRMWARETAG)/recipes-kernel/linux-firmware/files))
+	set -x; $(foreach file,$(MEDIATEKFIRMWAREFILES),$(call get-orig-file-gitlab,mediatek/mediatek,$(file),\
+		https://gitlab.com/mediatek/aiot/rity/meta-mediatek-bsp,$(MEDIATEKFIRMWARETAG),/recipes-kernel/linux-firmware/files))
 
 	set -x; $(foreach dev,$(MEDIATEK_DEVICES), \
 		$(foreach file,$(MEDIATEK_APUSYS_FIRMWARE_FILES), \
-			$(call get-orig-source-apusys,$(dev),$(file))))
+			$(call get-orig-file-gitlab,mediatek/mediatek/$(dev),$(file),$(MEDIATEK_APUSYS_URL),$(MEDIATEK_APUSYS_COMMIT_$(MEDIATEK_APUSYS_MODEL_$(dev))),)))
 
+	set -x; $(foreach file,$(MEDIATEK_MALI_FILES), \
+	          $(call get-orig-file-gitlab,mediatek,$(file),$(MEDIATEK_MALI_URL),$(MEDIATEK_MALI_COMMIT),$(MEDIATEK_MALI_REPO_DIR)))
 
 	mkdir $(DEB_SOURCE)-$(DEB_VERSION_UPSTREAM)
 	$(call reproducible-tar) -czf ../$(DEB_SOURCE)_$(DEB_VERSION_UPSTREAM).orig.tar.gz $(DEB_SOURCE)-$(DEB_VERSION_UPSTREAM)
