## linux-firmware-mediatek-genio 5

=== debian/changelog ===
linux-firmware-mediatek-genio (5-0ubuntu1) noble; urgency=medium

  * Update WiFi MT7961 firmware to fix the latency issue (LP: #2051921)
  * Remove firmware as per Mediatek's request
    - mediatek/mt7663_n9_rebb.bin
    - mediatek/mt7663_n9_v3.bin
    - mediatek/mt7663pr2h.bin
    - mediatek/mt7663pr2h_rebb.bin
  * d/source/lintian-overrides: fix lintian errors
  * MediaTek decides to drop mt7663 support from MediaTek Genio boards because
    it doesn't maintain opensource mt7663 driver and firmware anymore.

 -- Ethan Hsieh <ethan.hsieh@canonical.com>  Thu, 01 Feb 2024 16:49:19 +0800
